Skip to main content

Delete a Memory

Delete the current memory file; historical versions are kept

DELETE
/api/v1/agentstudio/memory_stores/{memory_store_id}/memories/{memory_id}
cURL
curl --request DELETE \
  --url 'https://{workspace_id}.{region}.maas.aliyuncs.com/api/v1/agentstudio/memory_stores/{memory_store_id}/memories/{memory_id}' \
  --header 'Authorization: Bearer <YOUR_API_KEY>'
{
  "id": "mem_xxx",
  "type": "memory_deleted"
}

Authorizations

string
header
required

DashScope API Key

Path Parameters

string
required

记忆库 ID

string
required

记忆 ID

Response

200-application/json
string
string